
QGIS Application - Bug report #14350

Virtual layers problem with accents

2016-02-22 12:24 AM - Hugo Mercier

Status: Closed

Priority: Normal

Assignee: Hugo Mercier

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22335

Description

A query like this : "SELECT * FROM COMMUNE WHERE STATUT = 'Préfecture'" returns nothing ... accents does not seem to be

correctly handled

Associated revisions

Revision 0e704523 - 2016-02-22 03:03 PM - Hugo Mercier

Fix text encoding issues in virtual layers (fixes #14350)

History

#1 - 2016-02-22 06:04 AM - Hugo Mercier

- Status changed from Open to Closed

Fixed in changeset commit:"0e704523b7b832fee0fb80da49f3ee5903dd5a04".

#2 - 2016-08-03 05:54 AM - Alain FERRATON

- Status changed from Closed to Reopened

l'anomalie est réapparue dans QGIS 2.14.4 et QGIS 2.16.

#3 - 2016-08-03 05:57 AM - Alain FERRATON

sorry...

the anomaly recurred in QGIS 2.14.4 and 2.16.

#4 - 2016-08-16 03:13 AM - Hugo Mercier

I fail to reproduce.

What happens ? Is there any error displayed ?

Could you share a test dataset ?

#5 - 2016-08-16 03:18 PM - Nyall Dawson
I'm guessing the reporter is running a Windows build - there seems to be a problem with accents only under Windows, eg the PyQgsVirtualLayerProvider

test consistently fails:

http://dash.orfeo-toolbox.org/testDetails.php?test=44799065&#38;build=241189 (incomplete log unfortunately)

#6 - 2016-10-18 07:11 AM - Alain FERRATON

- File essai.zip added

see test dataset

with SQL : SELECT * FROM essai WHERE "STATUT" = 'Sous-préfecture'

#7 - 2016-11-10 12:45 AM - Hugo Mercier

That should be fixed now with #164a85acdb42f383b955c82c00f0ac2c0c5ad2ba

PyQgsVirtualLayerProvider is not part anymore of the list of failing tests on CDash 

https://dash.orfeo-toolbox.org/viewTest.php?onlyfailed&#38;buildid=251261

The fix has been backported to 2.18, 2.14 (and 2.16)

#8 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#9 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

#10 - 2017-09-22 10:30 AM - Hugo Mercier

- Status changed from Reopened to Closed

Files

essai.zip 24.5 KB 2016-10-18 Alain FERRATON
